## php8.3 8.3.0~alpha3

=== debian/changelog ===
php8.3 (8.3.0~alpha3-1) experimental; urgency=medium

  * New upstream version 8.3.0~alpha3
  * Bump PHPAPI to 20220830

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Jul 2023 09:57:19 +0200

php8.3 (8.3.0~alpha1-1) experimental; urgency=low

  * New upstream version 8.3.0~alpha1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Jun 2023 19:15:41 +0200

php8.2 (8.2.6-1) unstable; urgency=medium

  * New upstream version 8.2.6

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2023 08:08:36 +0200

php8.2 (8.2.5-2) unstable; urgency=medium

  * Hard code sed path to /bin/sed (Closes: #1034423)
  * Remove timestamps from phar (Closes: #1034892)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Apr 2023 10:13:47 +0200

php8.2 (8.2.5-1) unstable; urgency=medium

  * New upstream version 8.2.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Apr 2023 06:07:56 +0200

php8.2 (8.2.4-1) unstable; urgency=medium

  * New upstream version 8.2.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Mar 2023 15:24:40 +0100

php8.2 (8.2.3-1) unstable; urgency=medium

  * New upstream version 8.2.3 (Closes: #1031368)
   + CVE-2023-0567: Fixed bug #81744 (Password_verify() always return true
     with some hash).
   + CVE-2023-0568: Fixed bug #81746 (1-byte array overrun in common path
     resolve code).
   + CVE-2023-0662: Fixed bug GHSA-54hq-v5wp-fqgv (DOS vulnerability when
     parsing multipart request body).

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Feb 2023 17:51:54 +0100

php8.2 (8.2.2-3) unstable; urgency=medium

  * Disable OPcache JIT by default (fixup)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 12:27:52 +0100

php8.2 (8.2.2-2) unstable; urgency=medium

  * Disable OPcache JIT by default (can be re-enabled at runtime)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:54:06 +0100

php8.2 (8.2.2-1) unstable; urgency=medium

  * New upstream version 8.2.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Feb 2023 10:34:17 +0100

php8.2 (8.2.1-2) unstable; urgency=medium

  * Fix GH-10187: Segfault in stripslashes() with arm64

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2023 11:35:02 +0100

php8.2 (8.2.1-1) unstable; urgency=medium

  * New upstream version 8.2.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Jan 2023 16:12:40 +0100

php8.2 (8.2.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 Jan 2023 13:39:04 +0100

php8.2 (8.2.0-3) experimental; urgency=medium

  * Revert "Disable xxHash vectorization on ppc64el"
  * Pull xxHash ppc64el fix from xxHash upstream

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Dec 2022 11:52:05 +0100

php8.2 (8.2.0-2) experimental; urgency=medium

  * Disable xxHash vectorization on ppc64el

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Dec 2022 11:40:36 +0100

php8.2 (8.2.0-1) experimental; urgency=medium

  * Update d/watch for PHP 8.2.0
  * New upstream version 8.2.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Dec 2022 14:09:11 +0100

php8.2 (8.2.0~rc7-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc7

 -- Ondřej Surý <ondrej@debian.org>  Sat, 26 Nov 2022 15:11:52 +0100

php8.2 (8.2.0~rc5-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc5
   + CVE-2022-31630: OOB read due to insufficient input validation in
     imageloadfont()
   + CVE-2022-37454: buffer overflow in hash_update() on long parameter

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Oct 2022 19:55:40 +0200

php8.2 (8.2.0~rc4-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 12:09:06 +0200

php8.2 (8.2.0~rc3-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc3
   + CVE-2022-31628: phar wrapper: DOS when using quine gzip file.
   + CVE-2022-31629: Don't mangle HTTP variable names that clash with
     ones that have a specific semantic meaning.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 12:08:58 +0200

php8.2 (8.2.0~rc1-2) experimental; urgency=medium

  * Use media-types instead of mime-support (Closes: #1010155)
  * Make the build (mostly) reproducible (Closes: #1001648)
  * Export SED := /bin/sed in d/rules (Closes: #1015188)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2022 12:02:59 +0200

php8.2 (8.2.0~rc1-1) experimental; urgency=medium

  * New upstream version 8.2.0~rc1
  * Bump d/phpapi to 20220829

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Sep 2022 12:20:18 +0200

php8.2 (8.2.0~beta2-1) experimental; urgency=medium

  [ Simon Deziel ]
  * debian: use non-capturing group with FilesMatch
  * Add a brief comment explaning non-capturing group regexes

  [ Ondřej Surý ]
  * New upstream version 8.2.0~beta2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2022 11:37:56 +0200

php8.2 (8.2.0~alpha3-1) experimental; urgency=medium

  * d/watch: Switch upstream location, add alpha/beta/rc version mangling
  * Add Sergey Panteleev signing key
  * New upstream version 8.2.0~alpha3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 18:18:07 +0200

php8.2 (8.2.0~alpha2-1) experimental; urgency=medium

  * New upstream version 8.2.0~alpha2
  * Refresh patches for PHP 8.2
  * Update phpapi for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 16:06:45 +0200

php8.1 (8.1.7-2) unstable; urgency=medium

  * Add Provides: php-json to PHP SAPIS

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:57:04 +0200

php8.1 (8.1.7-1) unstable; urgency=medium

  * New upstream version 8.1.7

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2022 14:16:47 +0200

php8.1 (8.1.6-1) unstable; urgency=medium

  * New upstream version 8.1.6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 May 2022 18:42:21 +0200

php8.1 (8.1.5-1) unstable; urgency=medium

  * New upstream version 8.1.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 11:51:30 +0200

php8.1 (8.1.4-1) unstable; urgency=medium

  * New upstream version 8.1.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2022 17:43:51 +0100


