=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://downloads.php.net/~jakub/ php-(8\.3\..*)\.tar\.xz
