## php8.3 8.3.6

=== debian/changelog ===
php8.3 (8.3.6-0maysync1) noble; urgency=medium

  * Merge with Debian's VCS. No remaining changes. (LP: #2061147)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 15 Apr 2024 16:21:47 -0300

php8.3 (8.3.6-1) experimental; urgency=medium

  * New upstream version 8.3.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 22:16:27 +0200

php8.3 (8.3.4-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:14:14 +0000

php8.3 (8.3.4-1) experimental; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 8.3.4
  * Just don't set PHP extra version at all - it makes a little
    sense when we are just updating upstream versions
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:31:56 +0100

php8.3 (8.3.3-1) experimental; urgency=medium

  * New upstream version 8.3.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 Feb 2024 19:30:31 +0100

php8.3 (8.3.2-1) experimental; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 8.3.2

  [ Athos Ribeiro ]
  * Fix PHP_EXTRA_VERSION setting
  * Test the PHP_EXTRA_VERSION setting
  * Move disabling the upstream GC routine to a patch (Closes: #831752)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Jan 2024 14:05:31 +0100

php8.3 (8.3.1-1) experimental; urgency=medium

  * New upstream version 8.3.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Dec 2023 21:05:27 +0100

php8.3 (8.3.0-5) experimental; urgency=medium

  * Disable avx512vbmi detection with gcc < 6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Dec 2023 08:12:00 +0100

php8.3 (8.3.0-4) experimental; urgency=medium

  * Disable AVX detection with GCC < 6

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Dec 2023 19:54:57 +0100

php8.3 (8.3.0-3) experimental; urgency=medium

  * Also disable avx detection with older compilers

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Dec 2023 08:59:08 +0100

php8.3 (8.3.0-2) experimental; urgency=medium

  * We also have to disable assembly code with gcc 4.9 on i386.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Dec 2023 22:10:03 +0100

php8.3 (8.3.0-1) experimental; urgency=medium

  * New upstream version 8.3.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Nov 2023 09:03:44 +0100

php8.3 (8.3.0~rc5-1) experimental; urgency=medium

  * New upstream version 8.3.0~rc5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Oct 2023 08:55:54 +0200

php8.3 (8.3.0~rc3-1) experimental; urgency=medium

  * Reintroduce patch to copy config.guess, config.sub, and ltmain.sh
  * New upstream version 8.3.0~rc3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Oct 2023 11:18:21 +0200

php8.3 (8.3.0~rc1-1) experimental; urgency=medium

  * New upstream version 8.3.0~rc1
  * Bump PHPAPI to 20230831

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 08:28:02 +0200

php8.3 (8.3.0~beta3-2) experimental; urgency=medium

  * Disable DTrace as it still FTBFS

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2023 11:19:05 +0200

php8.3 (8.3.0~beta3-1) experimental; urgency=medium

  * New upstream version 8.3.0~beta3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2023 09:27:19 +0200

php8.3 (8.3.0~beta2-1) experimental; urgency=medium

  * New upstream version 8.3.0~beta2
  * Remove DTrace build patch, fixed upstream
  * Enable DTrace on all architectures
  * Pull patch to fix DTrace enabled build

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Aug 2023 13:28:13 +0200
