=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php8.3
 Section: php
 Priority: optional
-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -67,7 +68,7 @@
                netbase,
                netcat-openbsd,
                re2c,
-               systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
+               systemtap-sdt-dev,
                tzdata,
                unixodbc-dev,
                zlib1g-dev
@@ -81,8 +82,7 @@
 Package: libapache2-mod-php8.3
 Section: httpd
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.3-cli,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -109,8 +109,7 @@
 
 Package: libphp8.3-embed
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.3-cli,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -155,8 +154,7 @@
 
 Package: php8.3-cgi
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.3-cli,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -184,7 +182,6 @@
 Package: php8.3-cli
 Architecture: any
 Depends: libedit2 (>= 2.11-20080614-4),
-         libmagic1,
          media-types | mime-support,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -234,8 +231,7 @@
 
 Package: php8.3-fpm
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.3-cli,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -264,8 +260,7 @@
 
 Package: php8.3-phpdbg
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.3-cli,
          php8.3-common (= ${binary:Version}),
          php8.3-opcache,
@@ -357,3 +352,5 @@
 Replaces: ${php-common:Replaces}
 Breaks: ${php-common:Breaks}
 Conflicts: ${php-common:Conflicts}
+Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
