## php8.3 8.3.8

=== debian/changelog ===
php8.3 (8.3.8-2+0~20240608.35+debian10~1.gbp4d7dbc) experimental; urgency=medium

  ** SNAPSHOT build @4d7dbc5e0ca508789cd504b01339e43d78d0a3f6 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 08 Jun 2024 23:33:00 +0200

php8.3 (8.3.8-2) experimental; urgency=medium

  * Fix GH-14480: Method visibility issue introduced in version 8.3.8 (#14484)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Jun 2024 22:27:05 +0200

php8.3 (8.3.8-1) experimental; urgency=medium

  * New upstream version 8.3.8  
   + [CVE-2024-4577]: Bypass of CVE-2012-1823, Argument Injection in
     PHP-CGI.
   + [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL.
   + [CVE-2024-5585]: Bypass of CVE-2024-1874.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 17:16:55 +0200

php8.3 (8.3.7-2) experimental; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:30 +0200

php8.3 (8.3.7-1) experimental; urgency=medium

  * New upstream version 8.3.7

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2024 17:25:50 +0200
