=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php8.3
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -354,3 +353,4 @@
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
