## php8.3 8.3.11

=== debian/changelog ===
php8.3 (8.3.11-0ubuntu4) plucky; urgency=medium

  * Don't apply
    d/p/0030-Amend-C-11-for-intl-compilation-on-older-distributio.patch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2025 16:59:39 +0100

php8.3 (8.3.11-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:32 +0100

php8.3 (8.3.11-0ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: Buffer over read
    - debian/patches/CVE-2024-11233.patch: re arrange
      bound check code in ext/standard/filters.c,
      ext/standard/tests/filters/ghsa-r977-prxv-hc43.phpt.
    - CVE-2024-11233
  * SECURITY UPDATE: HTTP request smuggling
    - debian/patches/CVE-2024-11234.patch: avoiding
      fulluri CRLF injection in ext/standard/http_fopen_wrapper.c.
      .../tests/http/ghsa-c5f2-jwm7-mmq2.phpt.
    - CVE-2024-11234
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-11236-1.patch: adding an extralen check
      to avoid integer overflow in ext/pdo_dblib/dblib_driver.c,
      ext/pdo_dblib/tests/GHSA-5hqh-c84r-qjcv.phpt.
    - debian/patches/CVE-2024-11236-2.patch: change qcount to size_t in
      order to avoid integer overflow and adding checks in
      ext/pdo_firebird/firebird_driver.c.
    - CVE-2024-11236
  * SECURITY UPDATE: Heap buffer over-reads
    - debian/patches/CVE-2024-8929.patch: fix buffer over-reads in
      ext/mysqlnd/mysqlnd_ps_codec.c,
      ext/mysqlnd/mysqlnd_wireprotocol.c, and create some phpt tests.
    - CVE-2024-8929
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-8932.patch: fix OOB in access in
      ldap_escape in ext/ldap/ldap.c,
      ext/ldap/tests/GHSA-g665-fm4p-vhff-1.phpt,
      ext/ldap/tests/GHSA-g665-fm4p-vhff-2.phpt.
    - CVE-2024-8932

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 16 Dec 2024 15:49:52 -0300

php8.3 (8.3.11-0ubuntu1) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 12:41:10 -0500

php8.3 (8.3.11-0ubuntu0.24.10.3) plucky; urgency=medium

  * Rebuild against new old libxml2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2024 16:39:06 +0100

php8.3 (8.3.11-0ubuntu0.24.10.2) oracular; urgency=medium

  * SECURITY UPDATE: Erroneous parsing of multipart form data
    - debian/patches/CVE-2024-8925.patch: limit bounday size in
      main/rfc1867.c, tests/basic/*.
    - CVE-2024-8925
  * SECURITY UPDATE: Parameter Injection Vulnerability
    - debian/patches/CVE-2024-8926.patch: always skip the argument parsing
      in CGI or FastCGI mode in sapi/cgi/cgi_main.c.
    - CVE-2024-8926
  * SECURITY UPDATE: cgi.force_redirect configuration can be bypassed due
    to environment variable collision
    - debian/patches/CVE-2024-8927.patch: check for REDIRECT_STATUS in
      sapi/cgi/cgi_main.c.
    - CVE-2024-8927
  * SECURITY UPDATE: Logs from childrens may be altered
    - debian/patches/CVE-2024-9026.patch: properly calculate size in
      sapi/fpm/fpm/fpm_stdio.c, sapi/fpm/tests/*.
    - CVE-2024-9026

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 30 Sep 2024 08:07:44 -0400

php8.3 (8.3.11-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream version 8.3.11
  * d/p/0007*: refresh patch

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 12 Sep 2024 08:59:13 -0300

php8.3 (8.3.9-1) experimental; urgency=medium

  * Add Restart=on-failure to the systemd service file
  * New upstream version 8.3.9
  * Remove the patch that fixed GH-14480 (merged upstream)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Jul 2024 13:48:48 +0200
