## php8.3 8.3.28

=== debian/changelog ===
php8.3 (8.3.28-1+0~20251120.73+debian12~1.gbpe85a9f) unstable; urgency=medium

  ** SNAPSHOT build @e85a9fcd93575772350b25efd6eadb451330146f **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 20 Nov 2025 12:50:57 +0100

php8.3 (8.3.28-1) unstable; urgency=medium

  * New upstream version 8.3.28

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 12:49:40 +0100

php8.3 (8.3.27-3) unstable; urgency=medium

  * Or just use /bin/sed; that should work everywhere

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 10:26:39 +0100

php8.3 (8.3.27-2) unstable; urgency=medium

  * Use command -v sed to resolve path to SED
  * Workaround make $(shell ...) command unable to execute builtins

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 08:56:06 +0100

php8.3 (8.3.27-1) unstable; urgency=medium

  * New upstream version 8.3.27

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Oct 2025 20:49:27 +0100

php8.3 (8.3.26-1) unstable; urgency=medium

  * New upstream version 8.3.26

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Oct 2025 22:27:59 +0200

php8.3 (8.3.25-1) unstable; urgency=medium

  * New upstream version 8.3.25

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Aug 2025 13:54:23 +0200

php8.3 (8.3.24-1) unstable; urgency=medium

  * New upstream version 8.3.24

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Aug 2025 10:50:08 +0200

php8.3 (8.3.23-1) unstable; urgency=medium

  * Set PHP_BUILD_PROVIDER to Debian with option to override this from
    shell environment
  * New upstream version 8.3.23

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Jul 2025 18:04:41 +0200

php8.3 (8.3.22-1) unstable; urgency=medium

  * Use ICU >= 75 version to determine the need for C++11 or C++17
  * New upstream version 8.3.22

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 Jun 2025 15:53:13 +0200

php8.3 (8.3.21-2) unstable; urgency=medium

  * Move setting ICU_CXXFLAGS to the right place in d/rules

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 May 2025 08:48:41 +0200

php8.3 (8.3.21-1) unstable; urgency=medium

  * New upstream version 8.3.21

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 May 2025 08:18:51 +0200

php8.3 (8.3.20-4) unstable; urgency=medium

  * Use c++17 for Debian Trixie

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2025 20:52:41 +0200

php8.3 (8.3.20-3) unstable; urgency=medium

  * Remove libxmltok1-dev from Build-Depends (Closes: #871826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2025 19:24:03 +0200

php8.3 (8.3.20-2) unstable; urgency=medium

  * Enable C++11 mode only on old distributions

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Apr 2025 04:26:27 +0200

php8.3 (8.3.20-1) unstable; urgency=medium

  * New upstream version 8.3.20

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Apr 2025 23:18:12 +0200

php8.3 (8.3.19-1) experimental; urgency=medium

  * Work around the problem in ext/ffi/ffi.c when strncmp is macro
  * Disable the upstream test suite for unsupported PHP release
  * New upstream version 8.3.19

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 18:41:25 +0100

php8.3 (8.3.17-1) experimental; urgency=medium

  * New upstream version 8.3.17

 -- Ondřej Surý <ondrej@debian.org>  Sat, 15 Feb 2025 10:00:10 +0100

php8.3 (8.3.16-1) experimental; urgency=medium

  * New upstream version 8.3.16

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Jan 2025 14:37:24 +0100

php8.3 (8.3.15-1) experimental; urgency=medium

  * New upstream version 8.3.15

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Dec 2024 07:02:29 +0100

php8.3 (8.3.14-4) experimental; urgency=medium

  * Remove the /usr/lib/libphp.so symbolic link if unowned (Closes: #1035798)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 09:38:26 +0100

php8.3 (8.3.14-3) experimental; urgency=medium

  * Revert "ext/gmp: gmp_pow fix FPE with large values" patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2024 18:18:38 +0100

php8.3 (8.3.14-2) experimental; urgency=medium

  * Fix GH-16870: gmp_pow(64, 11) throws overflow exception
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI Interface.
   + [CVE-2024-8929]: Leak partial content of the heap through heap buffer
     over-read.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Nov 2024 15:37:46 +0100

php8.3 (8.3.14-1) experimental; urgency=medium

  * New upstream version 8.3.14

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Nov 2024 06:40:04 +0100

php8.3 (8.3.13-1) experimental; urgency=medium

  * New upstream version 8.3.13

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Oct 2024 11:47:33 +0100

php8.3 (8.3.12-1) experimental; urgency=medium

  * New upstream version 8.3.12
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 05:43:32 +0200

php8.3 (8.3.11-1) experimental; urgency=medium

  * New upstream version 8.3.11

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Sep 2024 17:11:17 +0200

php8.3 (8.3.10-1) experimental; urgency=medium

  * New upstream version 8.3.10

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Aug 2024 17:24:56 +0200
